List Chats
Get full or filtered list of all chats in the workspace. Supports filtering by label, WhatsApp account, phone, responsible, and more.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
filters chats having at least one of specified labels (comma-separated)
filters chats belonging to one of the specified WhatsApp accounts (in wid format, comma-separated)
filters chats that are either group chats (true) or direct chats (false)
filters chats assigned to specific users (denoted by email address, comma-separated)
filter chats that contain any of specified strings (case-insensitive, comma-separated). Note: a string containing a whitespace will be matched as exact substring without being split to words.
Filter direct (non-group) chats by a single phone number. Phone is sanitized in the same way as for sending messages. If sanitized value starts with '+', the match is exact. Otherwise, leading zeroes are removed and the number is matched as a substring of the stored phone. Group chats are always excluded when this parameter is used.
filter chats that are either read (true) or unread (false)
filter chats that are either closed (true) or open (false)
filter chats where chatgpt auto-response is enabled (true) or disabled (false)
specify the page of results (each page contains up to 50 items), starting with 1. Check "has more page" response value to see if more pages are available.
filter chats that were created after this timestamp, can be specified with created_before
filter chats that were created before this timestamp, can be specified with created_after
Filter chats by contact phone number(s) (comma-separated). Each number is matched both against the direct chat's phone (tolerating a leading 0 in place of the country code, or an already-international number) and against group membership, so groups containing a matching member are included too.
when true, include the full last_message object (in addition to last_message_uid / last_message_timestamp) for each chat.

